/*
 * Following CSS codes are used only for demo purpose thus you can remove them completly whenever you want.
 */

/*.radio {*/
    /*white-space: nowrap;*/
/*}*/
/*.checkbox {*/
    /*white-space: nowrap;*/
/*}*/

.actionBar {
    text-align: left !important;
}

.width300 {
    width: 300px;
}

.width220 {
    width: 220px;
}

.width180 {
    width: 180px;
}

.width150 {
    width: 150px;
}

.width100 {
    width: 100px;
}

.logo {
    white-space: nowrap;
}

.thumb {
    width: 24px;
    height: 24px;
    float: none;
    position: relative;
    top: 7px;
}

form .progress {
    line-height: 15px;
}

.progress {
    display: inline-block;
    width: 100px;
    border: 3px groove #CCC;
}

.progress div {
    font-size: smaller;
    background: orange;
    width: 0;
}

td {
    vertical-align: top !important;
}

th {
    white-space: nowrap;
}

#sidebar {
    z-index: 10;
}

div#top-to-bottom {
    display: -webkit-flex; /* Safari */
    -webkit-flex-direction: column-reverse; /* Safari 6.1+ */
    display: flex;
    flex-direction: column-reverse;
}

.toggle-switch .ts-label {
    min-width: 130px;
}

.media-demo .media {
    margin-bottom: 25px;
}

.media-demo .media .media {
    margin-top: 25px;
}

.dropdown-basic-demo {
    display: inline-block;
    margin: 0 15px 20px 0;
}

.dropdown-basic-demo .dropdown-menu {
    display: block;
    position: relative;
    transform: scale(1);
    opacity: 1;
    filter: alpha(opacity=1);
    z-index: 0;
}

.dropdown-btn-demo .dropdown, .dropdown-btn-demo .btn-group, .btn-demo .btn {
    display: inline-block;
    margin: 0 5px 7px 0;
}

.modal-preview-demo .modal {
    position: relative;
    display: block;
    z-index: 0;
    background: rgba(0,0,0,0.1);
}

.margin-bottom > *{
    margin-bottom: 20px;
}

.popover-demo .popover {
    position: relative;
    display: inline-block;
    opacity: 1;
    margin: 0 10px 30px;
    z-index: 0;
}

.color-block {
    height: 100px;
    color: rgba(255,255,255,0.9);
    text-align: center;
    padding: 15px 0;
    border-radius: 2px;
    margin-bottom: 25px;
}

.color-block span {
    display: block;
}

.color-block .color {
    font-size: 14px;
    text-transform: uppercase;
}

.color-block .code {
    margin: 5px 0;
}

.color-block .less {
    font-size: 11px;
}

.animation-demo .row {
    margin: 25px -6px 0;
    margin-bottom: -10px;
}

.animation-demo .card-body img {
    width: 100%;
    z-index: 1;
    position: relative;
}

.animation-demo .col-xs-6 {
    padding: 0 6px;
    margin-bottom: 12px;
}

.animation-demo .btn {
    width: 100%;
    text-transform: none;
}

.bs-item {
    background: #fff;
    margin-bottom: 30px;
    height: 100px;
    text-align: center;
    font-size: 14px;
    border-radius: 2px;
}

.bs-item:before {
    display: inline-block;
    content: "";
    height: 100px;
    width: 1px;
    vertical-align: middle;
}

.btn-colors > .btn {
    min-width: 112px;
}

.btn-demo > .btn, .btn-group-demo > .btn-group {
    margin: 0 5px 10px 0;
}



.icons-demo .card-body .md, .card-body .socicon {
    font-size: 23px;
    vertical-align: middle;
    color: #333;
    margin-right: 10px;
}

.icons-demo .card-body .col-sm-4 {
    padding: 0 7px;
}

.icons-demo .card-body .col-sm-4 p {
    padding: 8px;
    border-radius: 2px;
    margin-bottom: 0;
}

.icons-demo .card-body .col-sm-4 p:hover {
    background: #eee;
}

.notifications .btn {
    width: 100%;
    margin-bottom: 20px;
}

.activity-log{
    position: fixed;
    right: 0;
    bottom: -30px;
    z-index: 9999;
}

.radio-inline + .radio-inline,
.checkbox-inline + .checkbox-inline {
    margin-left: 0px !important;
}

.chzn-container-multi .chzn-drop .result-selected {
    display: none !important;
}

.print {
    display: none;
}

.print-textarea-200 {
    display: none;
}

@media print
{
    /*table, th, td {*/
        /*border: 1px solid black!important;*/
    /*}*/

    thead > tr > th {
        margin-bottom: -20px!important;
    }

    .print-textarea-200 {
        word-wrap:break-word;
        display:block;
        width:100%;
    }

    .form-group {
        margin:0;
        padding:0;
    }

    /*body {transform: scale(.7);}*/
    html, body {
        width: 210mm;
        height: 297mm;
        font-size: 11px;
    }
    table,tr,td {
        margin: 0;
        padding: 0;
    }

    body {
        margin: 0;
        padding: 0;
    }

    .card-header {
        margin-bottom: 5mm;
    }

    /*body*/
    /*{*/
        /*margin: -5mm 5mm 5mm 5mm;*/
    /*}*/

    td {
        vertical-align: top !important;
    }

    .fixed-footer-menu-bar {
        display: none !important;
    }

    .no-print, .no-print *
    {
        display: none !important;
    }

    button.btn.btn-info
    {
        display: none !important;
    }

    button.btn.btn-danger
    {
        display: none !important;
    }

    a.btn.btn-info
    {
        display: none !important;
    }
    .print, .print *
    {
        display: inherit !important;
    }

    .col-sm-1, .col-sm-1-5, .col-sm-2, .col-sm-2-4, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12 {
        float: left;
    }
    .col-sm-12 {
        width: 100%;
    }
    .col-sm-11 {
        width: 91.66666666666666%;
    }
    .col-sm-10 {
        width: 83.33333333333334%;
    }
    .col-sm-9 {
        width: 75%;
    }
    .col-sm-8 {
        width: 66.66666666666666%;
    }
    .col-sm-7 {
        width: 58.333333333333336%;
    }
    .col-sm-6 {
        width: 50%;
    }
    .col-sm-5 {
        width: 41.66666666666667%;
    }
    .col-sm-4 {
        width: 33.33333333333333%;
    }
    .col-sm-3 {
        width: 25%;
    }
    .col-sm-2-4 {
      width: 20%;
    }
    .col-sm-2 {
        width: 16.666666666666664%;
    }
    .col-sm-1-5 {
        width: 12.5%;
    }
    .col-sm-1 {
        width: 8.333333333333332%;
    }
}

.badge {
    float:right;
}

/*#fixed-action-bar {*/
    /*position:fixed;*/
    /*left:0px;*/
    /*bottom:0px;*/
    /*height:100px;*/
    /*width:100%;*/
    /*background:#999;*/
/*}*/

/*.fixed-nav-bar {*/
    /*position: fixed;*/
    /*bottom:0px;*/
    /*left: 0;*/
    /*z-index: 9999;*/
    /*width: 100%;*/
    /*height: 50px;*/
    /*background-color: white;*/
/*}*/

.nav {
    border: 1px solid blue;
}

.fix-to-bottom {
    position: fixed;
    bottom: 0;
    left: 268px;
    z-index: 9999;
    width: 100%;
    height: 50px;
    background-color: white;
}

.fixed-footer-container {
    background-color:transparent;
    position: fixed;
    width: 100%;
    /*padding: 2em;*/
    left: 50%;
    bottom: 0%;
    transform: translateX(-50%);
    z-index: 9;
    padding-left:298px;
    padding-right:30px;
    pointer-events: none;
}

.fixed-footer-menu-bar {
    pointer-events: all;
    background: #f8f8f8;
    padding: 12px;
    border: 1px solid #EEE;

}

.fixed-header-container {
    background-color:transparent;
    position: fixed;
    width: 100%;
    /*padding: 2em;*/
    left: 50%;
    top: 65px;
    transform: translateX(-50%);
    z-index: 9;
    padding-left:298px;
    padding-right:30px;
    pointer-events: none;
}

.fixed-header-menu-bar {
    pointer-events: all;
    background: #f8f8f8;
    padding: 12px;
    border: 1px solid #EEE;
}

.btn-demo > .btn {
    margin-bottom: 0 !important;
}

@media (max-width: 1200px) {
    .fixed-header-container {
        padding-left:30px;
        padding-right:30px;
    }
    .fixed-footer-container {
        padding-left:30px;
        padding-right:30px;
    }
}

.z-top {
    z-index: 99999 !important;
}

.inline-block {
    display: inline-block;
}

@media print
{

  .bootgrid-table.table > thead > tr > th {
    width: auto;
    text-overflow: unset;
    white-space: unset;
    word-break: break-all;
  }

  .bootgrid-table.table > thead > tr > th.width0 {
    width: 0;
  }

  .bootgrid-table.table {
    width: 100vw;
    /*margin-left: -5vw;*/
  }

  .bootgrid-table.table > tbody > tr > td {
    text-overflow: unset;
    white-space: unset;
    word-break: break-all;
  }

  .table.printstyle {
    font-size: 16px;
  }

  .table.printstyle > thead {
    border-bottom: 1px solid;
  }

  .table.printstyle > thead > tr > th {
    font-weight: bolder;
  }

  .table.printstyle > tbody > tr >td {
    line-height: 0.2;
  }

}
